%global _with_test 0

Summary:        High-performance memory object caching system
Name:           memcached
Version:        1.4.15
Release:        %mkrel 1
License:        BSD
Group:          System/Servers
URL:            http://memcached.org/
Source0:        http://memcached.googlecode.com/files/%{name}-%{version}.tar.gz
Source1:        %{name}-tmpfiles.conf
Source2:        memcached.sysconfig
Source3:        memcached.logrotate
Source4:        memcached@.service
Source5:        memcached.target
Patch0:         memcached-1.4.15-CVE-2011-4971.diff
Requires(post):  systemd >= %{systemd_required_version}
Requires(post):  rpm-helper >= 0.24.8-1
Requires(preun): rpm-helper >= 0.24.8-1
Requires:       cyrus-sasl sasl-plug-plain sasl-plug-crammd5
BuildRequires:  autoconf2.5
BuildRequires:  automake
BuildRequires:  doxygen
BuildRequires:  libevent-devel
BuildRequires:  libsasl-devel cyrus-sasl sasl-plug-plain sasl-plug-crammd5
# Required by test suite
BuildRequires:  sasl-plug-sasldb
BuildRequires:  libxslt-proc
BuildRequires:  perl-devel
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-buildroot

%description
memcached is a flexible memory object caching daemon designed to alleviate
database load in dynamic web applications by storing objects in memory. It's
based on libevent to scale to any size needed, and is  specifically optimized
to avoid swapping and always use non-blocking I/O.

%package        devel
Summary:        Files needed for development using memcached protocol
Group:          Development/C
Requires:       %{name} = %{version}-%{release}

%description    devel
Install memcached-devel if you are developing C/C++ applications that require
access to the memcached binary include files.

%prep
%setup -q
%patch0 -p1

%build
%serverbuild

%configure2_5x
#--enable-sasl
%make
make docs

%if %_with_test
%check
export PATH="$PATH:/sbin:/usr/sbin"
# whitespace tests fail locally on fedpkg systems now that they use git
rm -f t/whitespace.t

# Parts of the test suite only succeed as non-root.
if [ `id -u` -ne 0 ]; then
  # remove failing test that doesn't work in
  # build systems
  rm -f t/daemonize.t
fi
make test
%endif

%install
%makeinstall_std

install -m644 %{SOURCE1} -D %{buildroot}%{_tmpfilesdir}/%{name}.conf
install -m644 %{SOURCE2} -D %{buildroot}%{_sysconfdir}/sysconfig/%{name}
install -m644 %{SOURCE3} -D %{buildroot}%{_sysconfdir}/logrotate.d/%{name}
install -m755 scripts/%{name}-tool %{buildroot}%{_bindir}/%{name}-tool

install -m644 %{SOURCE4} -D %{buildroot}%{_unitdir}/%{name}@.service
install -m644 %{SOURCE5} -D %{buildroot}%{_unitdir}/%{name}.target

%post
%_tmpfilescreate %{name}
%_post_service %{name} %{name}.target

%preun
%_preun_service %{name} %{name}.target

%pre
%_pre_useradd %{name} /dev/null /bin/false

%postun
%_postun_userdel %{name}

%clean
rm -rf %{buildroot}

%files
%doc AUTHORS* COPYING ChangeLog NEWS 
%doc doc/CONTRIBUTORS doc/protocol.txt doc/readme.txt
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%config(noreplace) %{_sysconfdir}/logrotate.d/%{name}
%{_bindir}/%{name}-tool
%{_bindir}/%{name}
%{_tmpfilesdir}/%{name}.conf
%{_unitdir}/%{name}*.service
%{_unitdir}/%{name}.target
%{_mandir}/man1/%{name}.1*

%files devel
%dir %{_includedir}/%{name}
%{_includedir}/%{name}/*.h




%changelog
* Fri Nov 22 2013 oden <oden> 1.4.15-1.mga3
+ Revision: 552292
- 1.4.15
- P0: security fix for CVE-2011-4971

* Sun Mar 24 2013 colin <colin> 1.4.13-7.mga3
+ Revision: 404859
- Add systemd requires and general post/pre fixes (mga#9302)

* Sat Jan 12 2013 umeabot <umeabot> 1.4.13-6.mga3
+ Revision: 359938
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 25 2012 colin <colin> 1.4.13-5.mga3
+ Revision: 321726
- Use new macros for tmpfiles
- No need to pass in the templated unit name to the post_service helper

* Mon Aug 20 2012 colin <colin> 1.4.13-4.mga3
+ Revision: 282506
- Switch the .target to PartOf= rather than BindTo= now that we have systemd >= 188

* Mon Jul 23 2012 colin <colin> 1.4.13-3.mga3
+ Revision: 273742
- Add tmpfiles.d config to create PID dir
- Drop sysvinit script

* Fri Jun 08 2012 shlomif <shlomif> 1.4.13-2.mga3
+ Revision: 257589
- Bump release
- Convert tabs to spaces (rpmlint)
- Got rid of trailing space

* Fri Jun 08 2012 shlomif <shlomif> 1.4.13-1.mga3
+ Revision: 257582
- New version - 1.4.13

  + colin <colin>
    - Implement a systemd target to easily control all memcache instances

* Sat Apr 28 2012 tmb <tmb> 1.4.11-3.mga2
+ Revision: 233790
- Require rpm-helper >= 0.24.8-1 for systemd support

* Mon Apr 02 2012 colin <colin> 1.4.11-2.mga2
+ Revision: 227942
- Bring sysconfig file and initscript into sync
- Add systemd (template) unit

* Tue Jan 31 2012 dmorgan <dmorgan> 1.4.11-1.mga2
+ Revision: 203721
- New version 1.4.11
  Disable sasl support ( need to fix build )
  Disable tests ( need to be fixed )

* Mon Jan 24 2011 erwan <erwan> 1.4.5-6.mga1
+ Revision: 37960
- imported package memcached

